### Constructor

# GdkPixbuf PixbufAnimation new_from_file

deprecated: 2.44

#### Declaration [src]

    GdkPixbufAnimation*
    gdk_pixbuf_animation_new_from_file (
      const char* filename,
      GError** error
    )

#### Description [src]

Creates a new animation by loading it from a file.

The file format is detected automatically.

If the file’s format does not support multi-frame images, then an animation with a single frame will be created.

Possible errors are in the `GDK_PIXBUF_ERROR` and `G_FILE_ERROR` domains.

Deprecated since: 2.44

Use a different image loading library for animatable assets.

#### Parameters

`filename`

  Type: `const char*`

  Name of file to load, in the GLib file name encoding.

  The data is owned by the caller of the function.
  The value is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GdkPixbufAnimation`

A newly-created animation.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.